# $Revision: 1.69 $, $Date: 2004/11/30 23:48:59 $
Summary:	Giram Is Really A Modeller
Summary(pl):	Giram - modeler 3D
Name:		giram
Version:	0.3.5
Release:	3
License:	GPL
Group:		X11/Applications/Graphics
#Source0Download: http://www.giram.org/index.php?p_menu=download
Source0:	http://www.giram.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	1197134bd838669f202fc2f2f1b5da9b
Source1:	%{name}.desktop
Patch0:		%{name}-am.patch
Patch1:		%{name}-locale-names.patch
Patch2:		%{name}-gtk.patch
Patch3:		%{name}-po.patch
URL:		http://www.giram.org/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	lib3ds-devel >= 1.0.0
BuildRequires:	libtool
Requires:	OpenGL
Obsoletes:	Giram
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		mver		0.3

%description
Giram is going to be a modeller, mostly designed for the Persistence
Of Vision Ray-Tracer. For now, it isn't really powerful. But I hope it
will grow rather quickly.

%description -l pl
Giram bdzie narzdziem do modelowania zbudowanym gwnie do pracy z
POV-Rayem. Na razie nie jest naprawd potny, ale ma nadziej, e
szybko si rozwinie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{no,nb}.po

%build
glib-gettextize --copy --force
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	POVRAY="/usr/bin/povray" \
	--disable-static \
	--enable-bishop-s3d

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/%{mver}/modules/*.la

# Greek translation is bogus here
rm -fr $RPM_BUILD_ROOT%{_datadir}/locale/el
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog IDEAS NEWS README TODO docs/Tutorial
%lang(fr) %doc docs/Tutorial.fr
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plug-ins
%attr(755,root,root) %{_libexecdir}/giram/plug-ins/*
%dir %{_libdir}/%{name}/%{mver}
%dir %{_libdir}/%{name}/%{mver}/modules
%attr(755,root,root) %{_libdir}/%{name}/%{mver}/modules/*.so

%{_desktopdir}/%{name}.desktop

%{_sysconfdir}/%{name}
%{_mandir}/man1/*

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{mver}
%{_datadir}/%{name}/%{mver}/*.ppm
%attr(755,root,root) %{_datadir}/%{name}/%{mver}/user_install
%{_datadir}/%{name}/%{mver}/color
%{_datadir}/%{name}/%{mver}/color_map
%{_datadir}/%{name}/%{mver}/finish
%{_datadir}/%{name}/%{mver}/normal
%{_datadir}/%{name}/%{mver}/pigment
%{_datadir}/%{name}/%{mver}/shape
%{_datadir}/%{name}/%{mver}/texture
%{_datadir}/%{name}/%{mver}/tips

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: giram.spec,v $
Revision 1.69  2004/11/30 23:48:59  ankry
- removed bogus version freom BR: OpenGL-devel

Revision 1.68  2004/11/02 21:45:07  paladine
- rel 3 for fixed desktop file

Revision 1.67  2004/10/10 18:54:20  paladine
- added missing BR: libtool

Revision 1.66  2004/08/04 06:23:49  ankry
- i18n fixes (-po patch), rel. 2

Revision 1.65  2004/03/29 06:50:43  qboosh
- updated to 0.3.5 for GTK+ 2.x, new URLs
- added am,locale-names,gtk patches, removed lib3ds patch

Revision 1.64  2003/05/28 12:58:59  malekith
- massive attack: source-md5

Revision 1.63  2003/05/25 05:47:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.62  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.61  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.60  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.59  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.58  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.57  2002/04/25 16:23:52  arturs
fixed a small typo

Revision 1.56  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.55  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.54  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/01/18 02:13:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/10/06 08:16:33  kloczek
- added Giram to Obsoletesd,
- added full regenerate ac/am files,
- added 3ds_acinclude.m4 patch with move AM_PATH_LIB3DS macro to acinclude.m4.

Revision 1.51  2001/10/05 14:49:03  wrobell
- fixed file list

Revision 1.50  2001/10/05 13:31:14  wrobell
- ver 0.1.11

Revision 1.49  2001/09/14 10:33:16  ankry
- fixed source name (caps changed)
- updated URL to new release Version=0.1.10, Release=1

Revision 1.48  2001/05/02 16:29:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.47  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.46  2001/03/01 02:30:07  kloczek
- regenerate all am/ac files for allow build in automake > 1.4 enviroment
  (automake, autoconf added to BuildRequires).

Revision 1.45  2001/03/01 02:11:40  kloczek
- relese 3: rebuild against gnome-libs linked with new audiofile.

Revision 1.44  2001/01/25 20:03:19  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.43  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.42  2000/10/29 16:35:56  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.41  2000/08/10 10:05:56  kloczek
- updated to 0.1.7.

Revision 1.40  2000/07/14 00:00:36  kloczek
- release 2,
- recompiled on XFree86 4.0.1.

Revision 1.39  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.38  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.37  2000/06/09 05:03:55  kloczek
- updated to 0.1.6,
- added desktop file for Giram,
- BuildRequires: Mesa-devel changed to OpenGL-deve.

Revision 1.36  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.35  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.34  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.33  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.32  2000/03/28 10:58:00  arturs
typo

Revision 1.31  2000/03/25 02:49:23  arturs
- added %description -l pl

Revision 1.30  2000/02/14 00:54:48  kloczek
- updated to 0.1.5.

Revision 1.29  2000/01/28 02:33:05  kloczek
- release 3,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.28  2000/01/19 15:48:32  wiget
- fix building with Mesa 3.1

Revision 1.27  2000/01/19 13:31:53  kloczek
- release 2,
- build against Mesa 3.1.

Revision 1.26  1999/12/27 17:58:09  kloczek
- updated to 0.1.4,
- simplified %build and %install.

Revision 1.25  1999/08/26 17:43:29  baggins
- buildrequires gettext -> gettext-devel

Revision 1.24  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.23  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.0.16-1]
- now package is FHS 2.0 compliant (dok moved to %{_defaultdocdir} and plugins
  to /usr/X11R6/lib/Giram/,
- recompiled on new rpm.

* Sun Apr 25 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.0.14-2]
- added BuildPrereq  rules,
- recompiled on new rpm.

* Tue Apr 13 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.0.14-1]
- added Giram plug-ins to %files.

* Mon Jan 04 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.0.9-1]
- first release in rpm package.
